Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 188478 - Review Request: fxload - Firmware download to EZ-USB devices
Summary: Review Request: fxload - Firmware download to EZ-USB devices
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
: 218887 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-04-10 14:58 UTC by Neal Becker
Modified: 2007-11-30 22:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-31 19:18:21 UTC


Attachments (Terms of Use)

Description Neal Becker 2006-04-10 14:58:05 UTC
Spec Name or Url: http://nbecker.dyndns.org:8080/fxload-2002_04_11.spec
SRPM Name or Url: http://nbecker.dyndns.org:8080/fxload-2002_04_11-1.src.rpm
Description: firmware loader was removed from FC5, but is still needed by some apps (e.g., plextor tv402u)

Comment 1 Ignacio Vazquez-Abrams 2006-04-12 23:05:11 UTC
- Source0 should be a full URL
- Macros should be used instead of hard-coded paths

Comment 2 Neal Becker 2006-04-12 23:52:35 UTC
Thanks. 
 
What is the macro for /sbin?  I can't seem to find it. 

Comment 3 Ignacio Vazquez-Abrams 2006-04-15 18:38:47 UTC
There isn't one.

Comment 4 Neal Becker 2006-04-16 11:50:38 UTC
In that case, I think I have answered all questions and an updated fxload 
spec is available.  (I fixed Source0 as requested) 

Comment 5 Bill Nottingham 2006-04-17 15:40:10 UTC
# Copyright (c) 2001-2002 by Cypress Semiconductor Corporation
#
# Cypress Semiconductor Corporation hereby grants a copyright license to
# use or redistribute this firmware image, in text or binary form as
# required, only in conjunction with devices using a Cypress USB
# microcontroller.  Every copy in any form of the firmware shall include
# Cypress copyright legends.

is at the top of a3load.hex. Is this really suitable for disiribution, in source
or binary format? (Note that this was never shipped at least in binary format in
the core package.)

Comment 6 Laurent Rineau 2006-05-16 13:16:26 UTC
Mass-block FE-NEEDSPONSOR for the six review requests¹ of Neal Becker. Neal, 
when you get sponsorship, you will have to unblock it for all your requests.

¹) Actually the four that do not block yet FE-NEEDSPONSOR.


Comment 7 Kevin Fenzi 2006-09-02 04:59:42 UTC
Removing FE-NEEDSPONSOR, as submitter was sponsored in:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=190070

Comment 8 Laurent Rineau 2006-09-04 15:45:36 UTC
Well, no. *I* was sponsored in bug #190070, but the reporter of the current 
bug (fxload) is Neal Becker. In bug #191473, Hans de Goede has offered to Neal 
to be his sponsor, but he wants to review several requests of Neal, before.


Comment 9 Kevin Fenzi 2006-10-03 04:22:12 UTC
Sorry, I must have gotten confused somewhere there. 
Neal is now sponsored tho (in bug #205023). 


Comment 10 Tzafrir Cohen 2006-12-18 07:43:26 UTC
What's the current status of this package? It is needed by various USB devices.

Regarding the license: apart from a3load.hex I see no problem. a3load.hex is an
optional second-stage loader. Its source is included in the development kit of
the  device, but I'm not sure about the license.

In the worst case, you should be able to remove it without harming the main
functionality of the package: it is used later as a .hex file and not used in
the build process itself. Also note that it is firmware: code that runs on the
guest processor.

Comment 11 Nicolas Chauvet (kwizart) 2006-12-18 17:06:50 UTC
In my view there is no problem with the license since the License owner is
included. That what this text try to say no?
Thought it conform (!? need to confim ?) to the extras rules which can now
provides binaries (and sources) firmware which are needed to support hardware.
(exemple has been discussed with ipw2200-firmware ).

Thought the Spec file provides 404...
You can see #218887 but version is the same...


Comment 12 Bart Vanbrabant 2006-12-30 12:42:12 UTC
*** Bug 218887 has been marked as a duplicate of this bug. ***

Comment 13 Kevin Fenzi 2007-05-31 03:48:35 UTC
Ping Neal. 

Do you still want to submit this package? 
The URLs in the initial submission give me a 'no route to host' error. 

If you do, please upload current versions again, and I can try and get a ruling
on the licence. 

If I don't hear from you in 1 week, I will close this request. 

Comment 14 Neal Becker 2007-05-31 10:35:11 UTC
I no longer have any personal interest in this - but I can make the package 
available to anyone who wants it.

Comment 15 Kevin Fenzi 2007-05-31 19:18:21 UTC
ok. I will go ahead and close this, and if someone would like to resubmit it,
they can contact you for a copy of the package?

Comment 16 Neal Becker 2007-06-01 11:11:02 UTC
Yes (as long as I still have it)


Note You need to log in before you can comment on or make changes to this bug.